net.sourceforge.pmd.renderers

## Class EmacsRendererTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.renderers.AbstractRendererTst
    - - net.sourceforge.pmd.renderers.EmacsRendererTest

    public class EmacsRendererTest
    extends AbstractRendererTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`EmacsRendererTest()`

### Method Summary

Methods
`String` `getExpected()`
`String` `getExpectedEmpty()`
`String` `getExpectedMultiple()`
`Renderer` `getRenderer()`
`static junit.framework.Test` `suite()`

### Methods inherited from class net.sourceforge.pmd.renderers.AbstractRendererTst

`getExpectedError, testError, testNullPassedIn, testRenderer, testRendererEmpty, testRendererMultiple`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmacsRendererTest

    public EmacsRendererTest()

### Method Detail

#### getRenderer

    public Renderer getRenderer()

Specified by:
  `getRenderer` in class `AbstractRendererTst`

#### getExpected

    public String getExpected()

Specified by:
  `getExpected` in class `AbstractRendererTst`

#### getExpectedEmpty

    public String getExpectedEmpty()

Specified by:
  `getExpectedEmpty` in class `AbstractRendererTst`

#### getExpectedMultiple

    public String getExpectedMultiple()

Specified by:
  `getExpectedMultiple` in class `AbstractRendererTst`

#### suite

    public static junit.framework.Test suite()